RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

Indicates the calling convention used by a method located in an unmanaged shared library.

The values of this enumeration are used to specify the calling conventions required to call unmanaged methods implemented in shared libraries.

Implementers should map the semantics of specified calling conventions onto the calling conventions of the host OS.

For additional information on shared libraries and an example of the use of the enumeration, see the class overview.

- Field
  System.Runtime.InteropServices.CallingConvention Cdecl

  Indicates that the calling convention is appropriate for a method call.

  For example, on a Windows platform the convention produces the following behavior:

  Element
  Behavior
  Argument-passing order
  Right to left.
  Stack-maintenance responsibility
  Calling function pops the arguments from the stack.

  This is the default calling convention for functions compiled with 32-bit C and C++ language compilers.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Runtime.InteropServices.CallingConvention FastCall

  Indicates that the calling convention is appropriate for a method call.

  On a Windows platform this convention indicates that arguments to functions are to be passed in registers whenever possible.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Runtime.InteropServices.CallingConvention StdCall

  Indicates that the calling convention is appropriate for a method.

  For example, on a Windows platform the convention produces the following behavior:

  Element
  Behavior
  Argument-passing order
  Right to left.
  Stack-maintenance responsibility
  Called function pops its own arguments from the stack. To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Runtime.InteropServices.CallingConvention ThisCall

  Indicates that the calling convention is appropriate for a method. This convention is similar to the calling convention, except that the last element that the caller pushes the stack is the pointer.

  For example, on a Windows platform the convention produces the following behavior:

  Element
  Behavior
  Argument-passing order
  Right to left.
  Stack-maintenance responsibility
  Calling function pops the arguments from the stack.
  pointer
  Pushed last onto the stack.

  The calling convention is the default calling convention used by C++ member functions that are not called with a variable number of arguments.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Runtime.InteropServices.CallingConvention Winapi To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)